Jump to content

Recommended Posts

Posted
Can you make your tool insert a BLOCK (a car for example) and autonumber it?
There's quite a few other increment routines which do this. Some are written for particular block/attribute combinations, and others a bit more general. My AutoIncr routine does have the capability of inserting a block and setting an attribute inside it, unfortunately it's not as "smooth" to use as Lee's (and some of the others I've seen).

 

Maybe adding an Auto-Update selected text could be nice: Select a set of numbers (text) replace a number, and auto-update the other ones.
This is the biggest boon of my code. It remembers which objects were picked / created / selected at the time you made the increments (it simply places them in order in a group, with the settings saved to the group). Then allows you to rearrange / remove / insert / append at a later stage or edit the settings ... then renumbers the entire group.

 

What it doesn't do (yet) is replace only a portion of the text. That's one of the features I'm still working on.

  • 3 weeks later...
  • Replies 300
  • Created
  • Last Reply

Top Posters In This Topic

  • Lee Mac

    150

  • alanjt

    10

  • The Buzzard

    10

  • mdbdesign

    7

Top Posters In This Topic

Posted Images

Posted
Hello,

I have no object catch in command numinc?

 

I'm not sure what you mean?

Posted

Sorry, I have AutoCAD in German. - I mean the Object Snap (Button F3).

object-snap.jpg

Posted

Yes, ObjectSnap functionality is disabled when using the program in 'dynamic mode' - this is due to the program using a GrRead loop to track user input, hence disabling all standard AutoCAD functionality (such as ObjectSnap, Tracking, Ortho etc).

 

Uncheck the box 'Text Follows Cursor' and ObjectSnap will become available.

  • 3 months later...
  • 4 weeks later...
Posted

I have a problem. When I use the "Switches to Curve-Aligned Mode" with "C" I just can rotate the text 90° with the "P" key. But I can't switch it 180°.

Posted
I have a problem. When I use the "Switches to Curve-Aligned Mode" with "C" I just can rotate the text 90° with the "P" key. But I can't switch it 180°.

 

That was never a feature of the program - the program will always orient text for maximum readability.

Posted

OK I see. But I have the problem that in Germany the text has to be readable from the right and not from the left. So I asked myself if I can edit the program code in this way that the text rotates 90° in the other direction with the "P" key. Then I would have the maximum readability for Germans :wink:

Posted

How did you editor such long program code ?Do you editor your code with vim ?

I usually edit my source code in vim ,but there is no syntax highlighting file for visual lisp

in vim.

Posted
How did you editor such long program code ?Do you editor your code with vim ?

I usually edit my source code in vim ,but there is no syntax highlighting file for visual lisp

in vim.

 

I usually use the Visual LISP IDE (VLIDE) provided with AutoCAD - it doesn't have the ability to collapse function definitions, but IMO is the best editor for LISP.

 

Lee

Posted
I usually use the Visual LISP IDE (VLIDE) provided with AutoCAD - it doesn't have the ability to collapse function definitions, but IMO is the best editor for LISP.

 

Lee

 

How come it sounds better when YOU say it? :lol:

Posted
How come it sounds better when YOU say it? :lol:

 

:) .......

Posted

when the code is very long ,I think code folding is necessary.visual lisp ide cannot fold code .my autocad is 2004

Posted
when the code is very long ,I think code folding is necessary.visual lisp ide cannot fold code

 

I manage without it...

Posted

I think you will be very tired if you do not use code folding when your source code is very long .

and you will be get very very tired when you read someone else's source code without code folding

if the source code is very long

Posted

I 've got one problem so far with NumInc lisp. When I copy and paste a number, it doesn't paste right near the cursor but far far away. I ve got mu ucs assigned maybe that's the problem. And Second question is how to change that lisp below to have prefixed number or maybe you could implement a leader in NumInc

 

(defun C:ld (/ num osm pt)

(setq osm (getvar "osmode"))

(setvar "osmode" 0)

(setvar "cmdecho" 0)

(setq num (getint "\nEnter an initial number: "))

(while

(setq pt (getpoint

"\nSpecify leader start point: (or hit ENTER to Exit) "))

(command "._leader" pt pause "" (itoa num) "")

(setq num (1+ num)))

(setvar "cmdecho" 1)

(setvar "osmode" osm)

(princ)

)

(princ "\nStart command with LD")

(princ)

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...